Bug 172474 - [RFE] Manual override for skipped packages
[RFE] Manual override for skipped packages
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-04 17:41 EST by Mark Hazen
Modified: 2011-01-26 09:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-01-21 05:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Hazen 2005-11-04 17:41:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:

When patching kernels on seven machines today, I tried to find a feature that would be most helpful... I would like the ability in, say, the systems groups, to be able to force down a specific package to servers with that package listed in their ignore list.

To paraphrase:  I first patched a test/dev machine today, and when I was certain the kernel patches worked on that machine, I went to the six virtually identical production ones and did, machine by machine, 'up2date -uf <kernel-packages>'.

Now, I KNOW there are times when you really, REALLY don't want to allow automating patches on specific machines, but it would be VERY helpful for us, the other 95% of the time that we KNOW we're installing a risky patch that might break things and will require a reboot, to be able to click an option for specific packages which says "force this specific version of this specific package on this specific machine". It's even better if it lets me do it when scheduling patching in off-peak hours.

Now, I know we'd also need a new feature to COMPLETELY disable remote updating for some people, some places, and some packages... but how nice it would have been to avoid going to six machines, one after the other, to individually patch, pause testing on our monitoring & paging system, reboot the box, an check the function of services (because hey, my monitor software takes a few minutes to come back and restart the tests). 

If this had existed, I could have scheduled all of these patches on the other six boxes for 4am, clicked the 'override the local ignore list for this patch' option (maybe when contacting the satellite server, the applet could even expressly tell the satellite what's being blocked, so you could offer this override-switch-for-package-installations feature intelligently on a machine by machine basis), scheduled the same downtime on the monitoring server, and NOT have to be awake at 4am to manually patch kernels, reboot boxes, and manually test six boxes, one by one. 

If the patch fails and the machine doesn't come up, well then, I get paged. This means I could sleep in on Saturdays unless there is a problem that absolutely demands my attention.

How's this sound?

Mark Hazen, University of Georgia

Version-Release number of selected component (if applicable):
not applicable

How reproducible:

Steps to Reproduce:
It's a feature request, full explanation in the 'Description' field above.

Actual Results:  DNA

Expected Results:  DNA

Additional info:

Cheers, thanks!
Comment 3 Miroslav Suchý 2011-01-21 05:39:02 EST
Sorry for taking so long time to response.
You can do that by deploy new config /etc/sysconfig/rhn/up2date which will not have kernel in skip list and then deploy kernel package.

But we will not make anything special about this in Satellite.

Note You need to log in before you can comment on or make changes to this bug.